Bug 799575 - BUG: unable to handle kernel NULL pointer dereference. unlink_anon_vmas
BUG: unable to handle kernel NULL pointer dereference. unlink_anon_vmas
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:1f4fa199362ecac62821fc95dac...
:
Depends On:
Blocks: kernel_hibernate
  Show dependency treegraph
 
Reported: 2012-03-03 02:07 EST by Pierre-Antoine Roiron
Modified: 2012-05-14 14:04 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-14 14:04:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pierre-Antoine Roiron 2012-03-03 02:07:28 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.2.7-1.fc16.x86_64 root=/dev/mapper/vg_thinkpad-lv_root ro rd.md=0 rd.dm=0 quiet rd.lvm.lv=vg_thinkpad/lv_swap rhgb rd.lvm.lv=vg_thinkpad/lv_root rd.luks=0 KEYTABLE=fr SYSFONT=latarcyrheb-sun16 LANG=fr_FR.UTF-8
kernel:         3.2.7-1.fc16.x86_64
reason:         BUG: unable to handle kernel NULL pointer dereference at           (null)
time:           sam. 03 mars 2012 08:08:22 CET

backtrace:
:BUG: unable to handle kernel NULL pointer dereference at           (null)
:IP: [<ffffffff8114a2aa>] unlink_anon_vmas+0x5a/0x180
:PGD 41e64067 PUD 0 
:Oops: 0000 [#1] SMP 
:CPU 3 
:Modules linked in: tcp_lp fuse ppdev parport_pc ebtable_nat lp ebtables parport ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle bridge fcoe lockd libfcoe libfc scsi_transport_fc scsi_tgt 8021q garp stp llc rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack ip6table_filter ip6_tables btusb bluetooth snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device vhost_net macvtap macvlan tun virtio_net thinkpad_acpi arc4 snd_pcm iwlwifi mac80211 r8169 uvcvideo cfg80211 kvm_intel usblp iTCO_wdt snd_timer snd snd_page_alloc kvm intel_ips i2c_i801 videodev media v4l2_compat_ioctl32 mii uinput joydev iTCO_vendor_support serio_raw sunrpc soundcore rfkill microcode ums_realtek usb_storage i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 11062, comm: npviewer.bin Not tainted 3.2.7-1.fc16.x86_64 #1 LENOVO 0301GXG/0301GXG
:RIP: 0010:[<ffffffff8114a2aa>]  [<ffffffff8114a2aa>] unlink_anon_vmas+0x5a/0x180
:RSP: 0018:ffff88004cb75cf8  EFLAGS: 00010202
:RAX: ffff8800a6cd9070 RBX: 0000000000000000 RCX: dead000000200200
:RDX: 00000031c4a60000 RSI: ffff880127e64210 RDI: ffff8800a6cd9000
:RBP: ffff88004cb75d48 R08: 00000031c4a60000 R09: 0000000000000000
:R10: ffff880137fec700 R11: 0000000000000024 R12: fffffffffffffff0
:R13: 0000000000000000 R14: ffff88012e7bf780 R15: 0000000000000000
:FS:  0000000000000000(0000) GS:ffff880137d80000(0000) knlGS:0000000000000000
:CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
:CR2: 0000000000000000 CR3: 0000000085894000 CR4: 00000000000006e0
:DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:Process npviewer.bin (pid: 11062, threadinfo ffff88004cb74000, task ffff880124541720)
:Stack:
: ffff88004cb75d18 ffff8800a6cd9000 ffff8800a6cd9070 ffff88012e7bf790
: ffff88004cb75d48 ffff8800a6cd9000 ffff880036a44f20 0000000000000000
: ffff88004cb75da8 0000000000000000 ffff88004cb75d98 ffffffff8113ceec
:Call Trace:
: [<ffffffff8113ceec>] free_pgtables+0xac/0x120
: [<ffffffff811466a6>] exit_mmap+0xc6/0x140
: [<ffffffff8106b183>] mmput+0x73/0x110
: [<ffffffff81071cbd>] exit_mm+0x10d/0x130
: [<ffffffff81071e5e>] do_exit+0x17e/0x8a0
: [<ffffffff8114393e>] ? remove_vma+0x6e/0x90
: [<ffffffff81183c72>] ? path_put+0x22/0x30
: [<ffffffff810728d2>] do_group_exit+0x42/0xa0
: [<ffffffff81072947>] sys_exit_group+0x17/0x20
: [<ffffffff815e9d82>] system_call_fastpath+0x16/0x1b
:Code: 48 83 c0 70 49 83 ec 10 48 39 45 c8 48 89 45 c0 75 15 e9 de 00 00 00 66 2e 0f 1f 84 00 00 00 00 00 4d 89 e6 49 89 c4 49 8b 5e 08 <4c> 8b 2b 4d 39 ef 74 15 4d 85 ff 0f 85 db 00 00 00 49 8d 7d 08 
:RIP  [<ffffffff8114a2aa>] unlink_anon_vmas+0x5a/0x180
: RSP <ffff88004cb75cf8>
:CR2: 0000000000000000

smolt_data:
:
:
:Général
:=================================
:UUID: 7e134ac2-e5b2-41c3-b037-6700af223787
:SE: Fedora release 16 (Verne)
:Niveau d'exécution par défaut: Unknown
:Langue: fr_FR.utf8
:Plateforme: x86_64
:BogoMIPS: 5054.02
:Fabricant du processeurs: GenuineIntel
:Modèle de processeur: Intel(R) Core(TM) i3 CPU       M 380  @ 2.53GHz
:Stepping du processeur: 5
:Famille de processeur: 6
:Modèle du processeur: 37
:Nombre de processeurs: 4
:Vitesse du processeur: 2533
:Mémoire du système: 3754
:Swap du système: 5791
:Fabricant: LENOVO
:Système: 0301GXG ThinkPad Edge
:Type d'ordinateur: Notebook
:Noyau: 3.2.7-1.fc16.x86_64
:SELinux activé: 1
:Stratégie SELinux: targeted
:SELinux strict: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Périphériques
:=================================
:(32902:11362:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:6058:8579) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:11536:6058:8598) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:6058:8598) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:6058:8551) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15145:6058:8552) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 4 port SATA AHCI Controller
:(32902:15113:6058:8550) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:6058:8592) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(4332:33128:6058:8497) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:9288:6058:8549) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15164:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:6058:8543) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:132:32902:4885) pci, iwlwifi, NETWORK, Centrino Wireless-N 1000 BGN
:(32902:70:6058:8538) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15176:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 4
:(32902:15170:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15178:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15190:6058:8542) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15180:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 6
:(32902:15174:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 3
:
:
:Informations sur le système de fichiers
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_thinkpad-lv_root / ext4 4096 4096 13092026 8834346 8703324 3276800 3118014 3118014
:/dev/sda1 /boot ext4 1024 1024 508745 409407 383807 128016 127737 127737
:/dev/mapper/vg_thinkpad-lv_home /home ext4 4096 4096 107255458 85312451 79943824 26845184 26795878 26795878
:
Comment 1 Dave Jones 2012-03-14 12:21:49 EDT
was this after a hibernate ?
Comment 2 Pierre-Antoine Roiron 2012-03-14 13:38:35 EDT
Yes, I'm quite sure it was.
Comment 3 Dave Jones 2012-03-22 13:11:51 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 4 Dave Jones 2012-03-22 13:14:15 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 5 Dave Jones 2012-03-22 13:23:32 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 6 Josh Boyer 2012-03-28 13:59:54 EDT
[Mass hibernate bug update]

Dave Airlied has found an issue causing some corruption in the i915 fbdev after a resume from hibernate.  I have included his patch in this scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3940545

This will probably not solve all of the issues being tracked at the moment, but it is worth testing when the build completes.  If this seems to clear up the issues you see with hibernate, please report your results in the bug.

Note You need to log in before you can comment on or make changes to this bug.